<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase'=> null,
		'nsCert'=>	'2039d6a41976eedf',
		'idApp'=>	'WSCOMUN'
);


//Parametros de invocacin generales
//Para probar el script es necesario, previamente, lanzar el script insertarDocumento,
//y copiar la referencia del nuevo documento a $refDoc para que existan los datos
//necesarios para la ejecucin del script

$codApp = 'RABA';
$refDoc = 'RABA3cba87cf-4e34-4540-aae3-1a16345a449d';
$pathDestino = '/2015_v2_test_soapUI_destino';
//$pathDestino = '/2015_v2_test_soapUI_eliminar';


print("Prueba de GDE: moverDocumento(...)<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, $v_opciones);
	$respuestaGDE2 = $clienteSIRCA->moverDocumento($codApp, $refDoc, $pathDestino);

//	var_dump($respuestaGDE2);die;
	$correcto = $respuestaGDE2['respuesta']['correcto'];
	print("Documento: $refDoc<br>\n");
	print "El documento fue movido a $pathDestino? <b>" . ($correcto ? 'SI' : 'NO') . '</b>';
}
catch (\WSCOMUN\GDE\GDE2Exception $e)
{
	print("\n<br/>Excepcion GDE2: \n<br/>");
	print("  - CODIGO: " . $e->getCodeAsString());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");
	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>