<?php

use WSCOMUN\WSComunFClient;

require_once '../../../include/WSComunFClient.php';
$keyAutentica 	= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyFirma 		= WSComunFClient::KEYCLIENTE_FIRMA;
$keyAutoriza 	= WSComunFClient::KEYCLIENTE_AUTORIZA;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyAutentica 	=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/Autenticacion_v1_00?wsdl',
	$keyFirma 		=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/Firma_v1_00?wsdl',
	$keyAutoriza	=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/AutorizacionHDFI_v1_00?wsdl'
);


$v_opciones = array
(
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN',
);


print("\n\n<br/><br><br/>Prueba de firma: firmarCertificado()<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keyFirma]."'>Safe PRE Firma</a><br/><br/>\n");


//Parametros de invocacin de testeo proporcionados por SAFE
$idSession = 'TRA';
$idCertificado = '5';
$contenidoPDF = file_get_contents('../../PDFSinFirmar.pdf');
$contenidoPDFB64 = base64_encode ($contenidoPDF);

try
{

	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_FIRMA, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);

	$docFirmado = $clienteSIRCA->firmarCertificadoServer($idSession, $idCertificado, $contenidoPDFB64);

	ob_end_clean();
	ob_start();
	print $docFirmado;
	header("Content-Type: application/pdf");
	header("Content-Disposition: attachment; filename=pdfFirmado.pdf");
	header('Expires: 0');
	header('Pragma: cache');
	header('Cache-Control: private');
	ob_end_flush ();
}
catch (Exception $e)
{
	print('<pre>');
	print_r($e);print("\n\n<br><br>\n\n");
	print('</pre>');
}



?>